## ns3 3.13

=== ns-3.13/wscript ===
## -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-

# python lib modules
import sys
import shutil
import types
import optparse
import os.path
import re
import shlex
import textwrap

# WAF modules
import subprocess
import Options

import Logs
import TaskGen

import Task

import Utils
import Build
import Configure
import Scripting

from waflib.Errors import WafError

from utils import read_config_file

# By default, all modules will be enabled, examples will be disabled,
# and tests will be disabled.
modules_enabled  = ['all_modules']
examples_enabled = False
tests_enabled    = False

# Get the information out of the NS-3 configuration file.
config_file_exists = False
(config_file_exists, modules_enabled, examples_enabled, tests_enabled) = read_config_file()

sys.path.insert(0, os.path.abspath('waf-tools'))
try:
    import cflags # override the build profiles from waf
finally:
    sys.path.pop(0)

cflags.profiles = {
	# profile name: [optimization_level, warnings_level, debug_level]
	'debug':     [0, 2, 3],
	'optimized': [3, 2, 1],
	'release':   [3, 2, 0],
	}
cflags.default_profile = 'debug'

# local modules
import wutils

Configure.autoconfig = 0

# until http://code.google.com/p/waf/issues/detail?id=1039 gets fixed...
wutils.monkey_patch_Runner_start()


# the following two variables are used by the target "waf dist"
VERSION = file("VERSION", "rt").read().strip()
APPNAME = 'ns'

wutils.VERSION = VERSION
wutils.APPNAME = APPNAME

# note: here we disable the VNUM for OSX since it causes problems (bug #1251)
wutils.VNUM = None
if sys.platform != 'darwin' and re.match(r"^\d+\.\d+(\.\d+)?$", VERSION) is not None:
    wutils.VNUM = VERSION

# these variables are mandatory ('/' are converted automatically)
top = '.'
out = 'build'

def load_env():
    bld_cls = getattr(Utils.g_module, 'build_context', Utils.Context)
    bld_ctx = bld_cls()
    bld_ctx.load_dirs(os.path.abspath(os.path.join (srcdir,'..')),
                      os.path.abspath(os.path.join (srcdir,'..', blddir)))
    bld_ctx.load_envs()
    env = bld_ctx.get_env()
    return env

def get_files(base_dir):
    retval = []
    reference=os.path.dirname(base_dir)
    for root, dirs, files in os.walk(base_dir):
        if root.find('.hg') != -1:
            continue
        for file in files:
            if file.find('.hg') != -1:
                continue
            fullname = os.path.join(root,file)
            # we can't use os.path.relpath because it's new in python 2.6
            relname = fullname.replace(reference + '/','')
            retval.append([fullname,relname])
    return retval


def dist_hook():
    import tarfile
    shutil.rmtree("doc/html", True)
    shutil.rmtree("doc/latex", True)
    shutil.rmtree("nsc", True)

# Print the sorted list of module names in columns.
def print_module_names(names):
    # Sort the list of module names.
    names.sort()

    # Print the list of module names in 3 columns.
    i = 1
    for name in names:
        print name.ljust(25),
        if i == 3:
                print
                i = 0
        i = i+1

    if i != 1:
        print

def options(opt):
    # options provided by the modules
    opt.load('compiler_c')
    opt.load('compiler_cxx')
    opt.load('cflags')
    opt.load('gnu_dirs')

    opt.add_option('--cwd',
                   help=('Set the working directory for a program.'),
                   action="store", type="string", default=None,
                   dest='cwd_launch')

    opt.add_option('--enable-gcov',
                   help=('Enable code coverage analysis.'
                         ' WARNING: this option only has effect '
                         'with the configure command.'),
                   action="store_true", default=False,
                   dest='enable_gcov')

    opt.add_option('--no-task-lines',
                   help=("Don't print task lines, i.e. messages saying which tasks are being executed by WAF."
                         "  Coupled with a single -v will cause WAF to output only the executed commands,"
                         " just like 'make' does by default."),
                   action="store_true", default=False,
                   dest='no_task_lines')

    opt.add_option('--lcov-report',
                   help=('Generate a code coverage report '
                         '(use this option at build time, not in configure)'),
                   action="store_true", default=False,
                   dest='lcov_report')

    opt.add_option('--run',
                   help=('Run a locally built program; argument can be a program name,'
                         ' or a command starting with the program name.'),
                   type="string", default='', dest='run')
    opt.add_option('--visualize',
                   help=('Modify --run arguments to enable the visualizer'),
                   action="store_true", default=False, dest='visualize')
    opt.add_option('--command-template',
                   help=('Template of the command used to run the program given by --run;'
                         ' It should be a shell command string containing %s inside,'
                         ' which will be replaced by the actual program.'),
                   type="string", default=None, dest='command_template')
    opt.add_option('--pyrun',
                   help=('Run a python program using locally built ns3 python module;'
                         ' argument is the path to the python program, optionally followed'
                         ' by command-line options that are passed to the program.'),
                   type="string", default='', dest='pyrun')
    opt.add_option('--valgrind',
                   help=('Change the default command template to run programs and unit tests with valgrind'),
                   action="store_true", default=False,
                   dest='valgrind')
    opt.add_option('--shell',
                   help=('DEPRECATED (run ./waf shell)'),
                   action="store_true", default=False,
                   dest='shell')
    opt.add_option('--enable-sudo',
                   help=('Use sudo to setup suid bits on ns3 executables.'),
                   dest='enable_sudo', action='store_true',
                   default=False)
    opt.add_option('--enable-tests',
                   help=('Build the ns-3 tests.'),
                   dest='enable_tests', action='store_true',
                   default=False)
    opt.add_option('--disable-tests',
                   help=('Do not build the ns-3 tests.'),
                   dest='disable_tests', action='store_true',
                   default=False)
    opt.add_option('--enable-examples',
                   help=('Build the ns-3 examples.'),
                   dest='enable_examples', action='store_true',
                   default=False)
    opt.add_option('--disable-examples',
                   help=('Do not build the ns-3 examples.'),
                   dest='disable_examples', action='store_true',
                   default=False)
    opt.add_option('--check',
                   help=('DEPRECATED (run ./test.py)'),
                   default=False, dest='check', action="store_true")
    opt.add_option('--enable-static',
                   help=('Compile NS-3 statically: works only on linux, without python'),
                   dest='enable_static', action='store_true',
                   default=False)
    opt.add_option('--enable-mpi',
                   help=('Compile NS-3 with MPI and distributed simulation support'),
                   dest='enable_mpi', action='store_true',
                   default=False)
    opt.add_option('--doxygen-no-build',
                   help=('Run doxygen to generate html documentation from source comments, '
                         'but do not wait for ns-3 to finish the full build.'),
                   action="store_true", default=False,
                   dest='doxygen_no_build')

    # options provided in subdirectories
    opt.sub_options('src')
    opt.sub_options('bindings/python')
    opt.sub_options('src/internet')


def _check_compilation_flag(conf, flag, mode='cxx', linkflags=None):
    """
    Checks if the C++ compiler accepts a certain compilation flag or flags
    flag: can be a string or a list of strings
    """
    l = []
    if flag:
        l.append(flag)
    if isinstance(linkflags, list):
        l.extend(linkflags)
    else:
        if linkflags:
            l.append(linkflags)
    if len(l) > 1:
        flag_str = 'flags ' + ' '.join(l)
    else:
        flag_str = 'flag ' + ' '.join(l)
    if flag_str > 28:
        flag_str = flag_str[:28] + "..."

    conf.start_msg('Checking for compilation %s support' % (flag_str,))
    env = conf.env.copy()

    if mode == 'cc':
        mode = 'c'

    if mode == 'cxx':
        fname = 'test.cc'
        env.append_value('CXXFLAGS', flag)
    else:
        fname = 'test.c'
        env.append_value('CFLAGS', flag)

    if linkflags is not None:
        env.append_value("LINKFLAGS", linkflags)

    try:
        retval = conf.run_c_code(code='#include <stdio.h>\nint main() { return 0; }\n',
                                 env=env, compile_filename=fname,
                                 features=[mode, mode+'program'], execute=False)
    except Configure.ConfigurationError:
        ok = False
    else:
        ok = (retval == 0)
    conf.end_msg(ok)
    return ok

    
def report_optional_feature(conf, name, caption, was_enabled, reason_not_enabled):
    conf.env.append_value('NS3_OPTIONAL_FEATURES', [(name, caption, was_enabled, reason_not_enabled)])


# starting with waf 1.6, conf.check() becomes fatal by default if the
# test fails, this alternative method makes the test non-fatal, as it
# was in waf <= 1.5
def _check_nonfatal(conf, *args, **kwargs):
    try:
        return conf.check(*args, **kwargs)
    except conf.errors.ConfigurationError:
        return None

def configure(conf):
    conf.check_tool("relocation", ["waf-tools"])

    # attach some extra methods
    conf.check_nonfatal = types.MethodType(_check_nonfatal, conf)
    conf.check_compilation_flag = types.MethodType(_check_compilation_flag, conf)
    conf.report_optional_feature = types.MethodType(report_optional_feature, conf)
    conf.env['NS3_OPTIONAL_FEATURES'] = []

    conf.check_tool('compiler_c')
    conf.check_tool('compiler_cxx')
    conf.check_tool('cflags', ['waf-tools'])
    try:
        conf.check_tool('pkgconfig', ['waf-tools'])
    except Configure.ConfigurationError:
        pass
    conf.check_tool('command', ['waf-tools'])
    conf.check_tool('gnu_dirs')

    env = conf.env

    if Options.options.enable_gcov:
        env['GCOV_ENABLED'] = True
        env.append_value('CCFLAGS', '-fprofile-arcs')
        env.append_value('CCFLAGS', '-ftest-coverage')
        env.append_value('CXXFLAGS', '-fprofile-arcs')
        env.append_value('CXXFLAGS', '-ftest-coverage')
        env.append_value('LINKFLAGS', '-lgcov')

    if Options.options.build_profile == 'debug':
        env.append_value('DEFINES', 'NS3_ASSERT_ENABLE')
        env.append_value('DEFINES', 'NS3_LOG_ENABLE')

    env['PLATFORM'] = sys.platform

    if conf.env['CXX_NAME'] in ['gcc', 'icc']:
        if Options.options.build_profile == 'release': 
            env.append_value('CXXFLAGS', '-fomit-frame-pointer') 
            if conf.check_compilation_flag('-march=native'):
                env.append_value('CXXFLAGS', '-march=native') 

        if sys.platform == 'win32':
            env.append_value("LINKFLAGS", "-Wl,--enable-runtime-pseudo-reloc")
        elif sys.platform == 'cygwin':
            env.append_value("LINKFLAGS", "-Wl,--enable-auto-import")

        cxx, = env['CXX']

        p = subprocess.Popen([cxx, '-print-file-name=libstdc++.so'], stdout=subprocess.PIPE)
        libstdcxx_location = os.path.dirname(p.stdout.read().strip())
        p.wait()
        if libstdcxx_location:
            conf.env.append_value('NS3_MODULE_PATH', libstdcxx_location)

=== pybindgen-0.15.0.795/tests/wscript ===
## -*- python -*-
#import Action
#import Object
#import Params
import Task

import sys
import os.path
import os
import pproc as subprocess

# uncomment to enable profiling information
# epydoc uses the profile data to generate call graphs
#os.environ["PYBINDGEN_ENABLE_PROFILING"] = ""


if 0:
    DEPRECATION_ERRORS = '-Werror::DeprecationWarning' # deprecations become errors
else:
    DEPRECATION_ERRORS = '-Wdefault::DeprecationWarning' # normal python behaviour


def build(bld):
    env = bld.env

    env['TOP_SRCDIR'] = bld.srcnode.abspath()

    gen = bld.new_task_gen(
        features='command',
        source='test-generation.py',
        target='test.cc',
        command='${PYTHON} ${SRC[0]} ${TOP_SRCDIR} > ${TGT[0]}')

    if env['CXX']:
        obj = bld.new_task_gen(features='cxx pyext')
        obj.source = 'test.cc'
        if env['CXX_NAME'] == 'gcc':
            obj.env.append_value('CXXFLAGS', ['-Werror', '-Wno-unused'])
    
    ## manual code generation using simple pybindgen API calls
    bindgen = bld.new_task_gen(
        features='command',
        source='foomodulegen.py',
        target='foomodule.cc',
        command='${PYTHON} %s ${SRC[0]} ${TOP_SRCDIR} > ${TGT[0]}' % (DEPRECATION_ERRORS,))

    if env['CXX']:
        obj = bld.new_task_gen(features='cxx cshlib pyext')
        obj.source = [
            'foo.cc',
            'foomodule.cc'
            ]
        obj.target = 'foo'
        obj.install_path = None
        obj.includes = '.'

    ## automatic code scanning using gccxml
    if env['ENABLE_PYGCCXML']:
        ### Same thing, but using gccxml autoscanning

        bld.new_task_gen(
            features='command',
            source='foomodulegen-auto.py foo.h',
            target='foomodule2.cc foomodulegen_generated.py',
            command='${PYTHON} %s ${SRC[0]} ${SRC[1]} ${cpp_path_repr} ${TGT[1]} > ${TGT[0]}' % (DEPRECATION_ERRORS,),
            variables=dict(cpp_path_repr=repr(bindgen.env['CPPPATH']+bindgen.env['CPPPATH_PYEXT'])))

        obj = bld.new_task_gen(features='cxx cshlib pyext')
        obj.source = [
            'foo.cc',
            'foomodule2.cc'
            ]
        obj.target = 'foo2'
        obj.install_path = None
        obj.includes = '.'

        ### Now using the generated python script

        bld.new_task_gen(
            features='command',
            source='foomodulegen3.py foomodulegen_generated.py',
            target='foomodule3.cc',
            command='${PYTHON} %s ${SRC[0]} ${TGT[0]} > ${TGT[0]}' % (DEPRECATION_ERRORS,))

        ## yes, this global manipulation of PYTHONPATH is kind of evil :-/
        ## TODO: add WAF command-output support for customising command OS environment
        os.environ["PYTHONPATH"] = os.pathsep.join([os.environ.get("PYTHONPATH", ''), bindgen.path.abspath(bindgen.env)])

        obj = bld.new_task_gen(features='cxx cshlib pyext')
        obj.source = [
            'foo.cc',
            'foomodule3.cc'
            ]
        obj.target = 'foo3'
        obj.install_path = None # do not install
        obj.includes = '.'

        ## ---

        bld.new_task_gen(
            features='command',
            source='foomodulegen-auto-split.py foo.h',
            target='foomodulegen_split.py foomodulegen_module1.py foomodulegen_module2.py',
            command='${PYTHON} %s ${SRC[0]} ${SRC[1]} ${cpp_path_repr} ${TGT[0]} ${TGT[1]} ${TGT[2]}' % (DEPRECATION_ERRORS,),
            variables=dict(cpp_path_repr=repr(bindgen.env['CPPPATH']+bindgen.env['CPPPATH_PYEXT'])))

        bld.new_task_gen(
            features='command',
            source=[
                'foomodulegen4.py',
                'foomodulegen_split.py',
                'foomodulegen_module1.py',
                'foomodulegen_module2.py',
                ],
            target=[
                'foomodule4.cc',
                'foomodule4.h',
                'foomodulegen_module1.cc',
                'foomodulegen_module2.cc',
                ],
            command='${PYTHON} %s ${SRC[0]} ${TGT[0]}' % (DEPRECATION_ERRORS,))


        obj = bld.new_task_gen(features='cxx cshlib pyext')
        obj.source = [
            'foo.cc',
            'foomodule4.cc',
            'foomodulegen_module1.cc',
            'foomodulegen_module2.cc',
            ]
        obj.target = 'foo4'
        obj.install_path = None # do not install
        obj.includes = '.'

    ## pure C tests
    bld.add_subdirs('c-hello')

=== ns-3.13/doc/manual/Makefile ===
EPSTOPDF = epstopdf
DIA = dia
CONVERT = convert

FIGURES = figures
VPATH = $(FIGURES)

IMAGES_EPS = \
	$(FIGURES)/software-organization.eps \

# rescale pdf figures as necessary
$(FIGURES)/software-organization.pdf_width = 5in

IMAGES_PNG = \
	$(FIGURES)/plot-2d.png \
	$(FIGURES)/plot-2d-with-error-bars.png \
	$(FIGURES)/plot-3d.png \
	${IMAGES_EPS:.eps=.png}
IMAGES_PDF = ${IMAGES_EPS:.eps=.pdf}

IMAGES = $(IMAGES_EPS) $(IMAGES_PNG) $(IMAGES_PDF)

%.eps : %.dia; $(DIA) -t eps $< -e $@
%.png : %.dia; $(DIA) -t png $< -e $@
%.png : %.eps; $(CONVERT) $< $@
%.pdf : %.eps; $(EPSTOPDF) $< -o=$@; if test x$($@_width) != x; then TMPFILE=`mktemp`; ./rescale-pdf.sh $($@_width) $@ $${TMPFILE} && mv $${TMPFILE} $@; fi


# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)
	-rm -rf $(IMAGES)

frag: pickle
	@if test ! -d $(BUILDDIR)/frag; then mkdir $(BUILDDIR)/frag; fi
	pushd $(BUILDDIR)/frag && ../../pickle-to-xml.py ../pickle/index.fpickle  > navigation.xml && popd
	cp -r $(BUILDDIR)/pickle/_images $(BUILDDIR)/frag

html: $(IMAGES)
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml: $(IMAGES)
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml: $(IMAGES)
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle: $(IMAGES)
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json: $(IMAGES)
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp: $(IMAGES)
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp: $(IMAGES)
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ns-3.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ns-3.qhc"

devhelp: $(IMAGES)
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/ns-3"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/ns-3"
	@echo "# devhelp"

epub: $(IMAGES)
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex: $(IMAGES)
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf: $(IMAGES)
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text: $(IMAGES)
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man: $(IMAGES)
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes: $(IMAGES)
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck: $(IMAGEs)
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest: $(IMAGES)
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== ns-3.13/src/applications/wscript ===
## -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-

def build(bld):
    module = bld.create_ns3_module('applications', ['internet', 'config-store', 'tools'])
    module.source = [
        'model/bulk-send-application.cc',
        'model/onoff-application.cc',
        'model/packet-sink.cc',
        'model/ping6.cc',
        'model/radvd.cc',
        'model/radvd-interface.cc',
        'model/radvd-prefix.cc',
        'model/udp-client.cc',
        'model/udp-server.cc',
        'model/seq-ts-header.cc',
        'model/udp-trace-client.cc',
        'model/packet-loss-counter.cc',
        'model/udp-echo-client.cc',
        'model/udp-echo-server.cc',
        'model/v4ping.cc',
        'helper/bulk-send-helper.cc',
        'helper/on-off-helper.cc',
        'helper/packet-sink-helper.cc',
        'helper/ping6-helper.cc',
        'helper/udp-client-server-helper.cc',
        'helper/udp-echo-helper.cc',
        'helper/v4ping-helper.cc',
        ]

    applications_test = bld.create_ns3_module_test_library('applications')
    applications_test.source = [
        'test/udp-client-server-test.cc',
        ]

    headers = bld.new_task_gen(features=['ns3header'])
    headers.module = 'applications'
    headers.source = [
        'model/bulk-send-application.h',
        'model/onoff-application.h',
        'model/packet-sink.h',
        'model/ping6.h',
        'model/radvd.h',
        'model/radvd-interface.h',
        'model/radvd-prefix.h',
        'model/udp-client.h',
        'model/udp-server.h',
        'model/seq-ts-header.h',
        'model/udp-trace-client.h',
        'model/packet-loss-counter.h',
        'model/udp-echo-client.h',
        'model/udp-echo-server.h',
        'model/v4ping.h',
        'helper/bulk-send-helper.h',
        'helper/on-off-helper.h',
        'helper/packet-sink-helper.h',
        'helper/ping6-helper.h',
        'helper/udp-client-server-helper.h',
        'helper/udp-echo-helper.h',
        'helper/v4ping-helper.h',
        ]

    bld.ns3_python_bindings()

=== ns-3.13/src/click/wscript ===
## -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-

import os
import Options


def options(opt):
    opt.add_option('--with-nsclick',
                   help=('Path to Click source or installation prefix for NS-3 Click Integration support'),
                   dest='with_nsclick', default=None)
    opt.add_option('--disable-nsclick',
                   help=('Disable NS-3 Click Integration support'),
                   dest='disable_nsclick', default=False, action="store_true")

def configure(conf):
    if Options.options.disable_nsclick:
        conf.report_optional_feature("nsclick", "NS-3 Click Integration", False,
                                     "disabled by user request")
        return
        
    if Options.options.with_nsclick:
        if os.path.isdir(Options.options.with_nsclick):
            conf.msg("Checking for libnsclick.so location", ("%s (given)" % Options.options.with_nsclick))
            conf.env['WITH_NSCLICK'] = os.path.abspath(Options.options.with_nsclick)
    else:
        nsclick_dir = os.path.join('..','click')
        if os.path.isdir(nsclick_dir):
            conf.msg("Checking for click location", ("%s (guessed)" % nsclick_dir))
            conf.env['WITH_NSCLICK'] = os.path.abspath(nsclick_dir)
        del nsclick_dir
    if not conf.env['WITH_NSCLICK']:
        conf.msg("Checking for click location", False)
        conf.report_optional_feature("nsclick", "NS-3 Click Integration", False,
                                     "nsclick not enabled (see option --with-nsclick)")

        # Add this module to the list of modules that won't be built
        # if they are enabled.
        conf.env['MODULES_NOT_BUILT'].append('click')

        return

    test_code = '''
#include<sys/types.h>
#include<sys/time.h>
#include<click/simclick.h>

#ifdef __cplusplus
extern "C" {
#endif

int simclick_sim_send(simclick_node_t *sim,int ifid,int type, const unsigned char* data,int len,simclick_simpacketinfo *pinfo)
{
  return 0;
}

int simclick_sim_command(simclick_node_t *sim, int cmd, ...)
{
  return 0;
}
#ifdef __cplusplus
}
#endif

int main()
{
  return 0;
}
'''
    conf.env['DL'] = conf.check(mandatory=True, lib='dl', define_name='DL', uselib_store='DL')

    for tmp in ['lib', 'ns']:
        libdir = os.path.abspath(os.path.join(conf.env['WITH_NSCLICK'],tmp))
        if os.path.isdir(libdir):
            conf.env.append_value('NS3_MODULE_PATH',libdir)
            conf.env['LIBPATH_NSCLICK'] = [libdir]

    conf.env['INCLUDES_NSCLICK'] = [os.path.abspath(os.path.join(conf.env['WITH_NSCLICK'],'include'))]
    conf.env['LIB_NSCLICK'] = ['nsclick']
    conf.env['DEFINES_NSCLICK'] = ['NS3_CLICK']
    conf.env['NSCLICK'] = conf.check_nonfatal(fragment=test_code, use='DL NSCLICK',
                                              msg="Checking for library nsclick")
    conf.report_optional_feature("nsclick", "NS-3 Click Integration",
                                  conf.env['NSCLICK'], "nsclick library not found")
    if not conf.env['NSCLICK']:
        # Add this module to the list of modules that won't be built
        # if they are enabled.
        conf.env['MODULES_NOT_BUILT'].append('click')

def build(bld):
    # Don't do anything for this module if click should not be built.
    if 'click' in bld.env['MODULES_NOT_BUILT']:
        return

    module = bld.create_ns3_module('click', ['core', 'network', 'internet'])
    module.source = [
        'model/ipv4-click-routing.cc',
        'model/ipv4-l3-click-protocol.cc',
        'helper/click-internet-stack-helper.cc',
        ]

    module_test = bld.create_ns3_module_test_library('click')
    module_test.source = [
        'test/ipv4-click-routing-test.cc',
        ]

    if bld.env['NSCLICK'] and bld.env['DL']:
        module.use.extend(['NSCLICK', 'DL'])
        module_test.use.extend(['NSCLICK', 'DL'])

    headers = bld.new_task_gen(features=['ns3header'])
    headers.module = 'click'
    headers.source = [
        'model/ipv4-click-routing.h',
        'model/ipv4-l3-click-protocol.h',
        'helper/click-internet-stack-helper.h',
        ]

    if bld.env['ENABLE_EXAMPLES']:
        bld.add_subdirs('examples')

    bld.ns3_python_bindings()

=== ns-3.13/src/core/wscript ===
## -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-
import sys

import Options

def options(opt):
    opt.add_option('--int64x64-as-double',
                   help=('Whether to use a double floating point'
                         ' type for int64x64 values'
                         ' WARNING: this option only has effect '
                         'with the configure command.'),
                   action="store_true", default=False,
                   dest='int64x64_as_double')



def configure(conf):
    a = conf.check_nonfatal(type_name='uint128_t', define_name='HAVE_UINT128_T')
    b = conf.check_nonfatal(type_name='__uint128_t', define_name='HAVE___UINT128_T')

    if Options.options.int64x64_as_double:
        conf.define('INT64X64_USE_DOUBLE', 1)
        conf.env['INT64X64_USE_DOUBLE'] = 1
        highprec = 'long double'
    elif a or b:
        conf.define('INT64X64_USE_128', 1)
        conf.env['INT64X64_USE_128'] = 1
        highprec = '128-bit integer'
    else:
        conf.define('INT64X64_USE_CAIRO', 1)
        conf.env['INT64X64_USE_CAIRO'] = 1
        highprec = 'cairo 128-bit integer'

    conf.msg('Checking high precision time implementation', highprec)

    conf.check_nonfatal(header_name='stdint.h', define_name='HAVE_STDINT_H')
    conf.check_nonfatal(header_name='inttypes.h', define_name='HAVE_INTTYPES_H')
    conf.check_nonfatal(header_name='sys/inttypes.h', define_name='HAVE_SYS_INT_TYPES_H')
    conf.check_nonfatal(header_name='sys/types.h', define_name='HAVE_SYS_TYPES_H')
    conf.check_nonfatal(header_name='sys/stat.h', define_name='HAVE_SYS_STAT_H')
    conf.check_nonfatal(header_name='dirent.h', define_name='HAVE_DIRENT_H')

    if conf.check_nonfatal(header_name='stdlib.h'):
        conf.define('HAVE_STDLIB_H', 1)
        conf.define('HAVE_GETENV', 1)

    conf.check_nonfatal(header_name='signal.h', define_name='HAVE_SIGNAL_H')

    # Check for POSIX threads
    test_env = conf.env.copy()
    if Options.platform != 'darwin' and Options.platform != 'cygwin':
        test_env.append_value('LINKFLAGS', '-pthread')
        test_env.append_value('CXXFLAGS', '-pthread')
        test_env.append_value('CCFLAGS', '-pthread')
    fragment = r"""
#include <pthread.h>
int main ()
{
   pthread_mutex_t m;
   pthread_mutex_init (&m, NULL);
   return 0;
}
"""
    have_pthread = conf.check_nonfatal(header_name='pthread.h', define_name='HAVE_PTHREAD_H',
                                       env=test_env, fragment=fragment,
                                       errmsg='Could not find pthread support (build/config.log for details)')
    if have_pthread:
        # darwin accepts -pthread but prints a warning saying it is ignored
        if Options.platform != 'darwin' and Options.platform != 'cygwin':
            conf.env['CXXFLAGS_PTHREAD'] = '-pthread'
            conf.env['CCFLAGS_PTHREAD'] = '-pthread'
            conf.env['LINKFLAGS_PTHREAD'] = '-pthread'

    conf.env['ENABLE_THREADING'] = have_pthread

    conf.report_optional_feature("Threading", "Threading Primitives",
                                 conf.env['ENABLE_THREADING'],
                                 "<pthread.h> include not detected")

    conf.check_nonfatal(header_name='stdint.h', define_name='HAVE_STDINT_H')
    conf.check_nonfatal(header_name='inttypes.h', define_name='HAVE_INTTYPES_H')

    conf.check_nonfatal(header_name='sys/inttypes.h', define_name='HAVE_SYS_INT_TYPES_H')

    if not conf.check_nonfatal(lib='rt', uselib='RT, PTHREAD', define_name='HAVE_RT'):
        conf.report_optional_feature("RealTime", "Real Time Simulator",
                                     False, "librt is not available")
    else:
        conf.report_optional_feature("RealTime", "Real Time Simulator",
                                     conf.env['ENABLE_THREADING'],
                                     "threading not enabled")
        conf.env["ENABLE_REAL_TIME"] = conf.env['ENABLE_THREADING']

    conf.write_config_header('ns3/core-config.h', top=True)

def build(bld):
    bld.install_files('${PREFIX}/include/ns3', '../../ns3/core-config.h')

    core = bld.create_ns3_module('core')
    core.source = [
        'model/time.cc',
        'model/event-id.cc',
        'model/scheduler.cc',
        'model/list-scheduler.cc',
        'model/map-scheduler.cc',
        'model/heap-scheduler.cc',
        'model/calendar-scheduler.cc',
        'model/ns2-calendar-scheduler.cc',
        'model/event-impl.cc',
        'model/simulator.cc',
        'model/simulator-impl.cc',
        'model/default-simulator-impl.cc',
        'model/timer.cc',
        'model/watchdog.cc',
        'model/synchronizer.cc',
        'model/make-event.cc',
        'model/log.cc',
        'model/breakpoint.cc',
        'model/type-id.cc',
        'model/attribute-construction-list.cc',
        'model/object-base.cc',
        'model/ref-count-base.cc',
        'model/object.cc',
        'model/test.cc',
        'model/random-variable.cc',
        'model/rng-stream.cc',
        'model/command-line.cc',
        'model/type-name.cc',
        'model/attribute.cc',
        'model/boolean.cc',
        'model/integer.cc',
        'model/uinteger.cc',
        'model/enum.cc',
        'model/double.cc',
        'model/int64x64.cc',
        'model/string.cc',
        'model/pointer.cc',
        'model/object-ptr-container.cc',
        'model/object-factory.cc',
        'model/global-value.cc',
        'model/trace-source-accessor.cc',
        'model/config.cc',
        'model/callback.cc',
        'model/names.cc',
        'model/vector.cc',
        'model/fatal-impl.cc',
        'model/system-path.cc',
        ]

    core_test = bld.create_ns3_module_test_library('core')
    core_test.source = [
        'test/attribute-test-suite.cc',
        'test/callback-test-suite.cc',
        'test/command-line-test-suite.cc',
        'test/config-test-suite.cc',
        'test/global-value-test-suite.cc',
        'test/int64x64-test-suite.cc',
        'test/names-test-suite.cc',
        'test/object-test-suite.cc',
        'test/ptr-test-suite.cc',
        'test/random-variable-test-suite.cc',
        'test/sample-test-suite.cc',
        'test/simulator-test-suite.cc',
        'test/time-test-suite.cc',
        'test/timer-test-suite.cc',
        'test/traced-callback-test-suite.cc',
        'test/type-traits-test-suite.cc',
        'test/watchdog-test-suite.cc',
        ]

    headers = bld.new_task_gen(features=['ns3header'])
    headers.module = 'core'
    headers.source = [
        'model/nstime.h',
        'model/event-id.h',
        'model/event-impl.h',
        'model/simulator.h',
        'model/simulator-impl.h',
        'model/default-simulator-impl.h',
        'model/scheduler.h',
        'model/list-scheduler.h',
        'model/map-scheduler.h',
        'model/heap-scheduler.h',
        'model/calendar-scheduler.h',
        'model/ns2-calendar-scheduler.h',
        'model/simulation-singleton.h',
        'model/singleton.h',
        'model/timer.h',
        'model/timer-impl.h',
        'model/watchdog.h',
        'model/synchronizer.h',
        'model/make-event.h',
        'model/system-wall-clock-ms.h',
        'model/empty.h',
        'model/callback.h',
        'model/object-base.h',
        'model/ref-count-base.h',
        'model/simple-ref-count.h',
        'model/type-id.h',
        'model/attribute-construction-list.h',
        'model/ptr.h',
        'model/object.h',
        'model/log.h',
        'model/assert.h',
        'model/breakpoint.h',
        'model/fatal-error.h',
        'model/test.h',
        'model/random-variable.h',
        'model/rng-stream.h',
        'model/command-line.h',
        'model/type-name.h',
        'model/type-traits.h',
        'model/int-to-type.h',
        'model/attribute.h',
        'model/attribute-accessor-helper.h',
        'model/boolean.h',
        'model/int64x64.h',
        'model/int64x64-double.h',
        'model/integer.h',
        'model/uinteger.h',
        'model/double.h',
        'model/enum.h',
        'model/string.h',
        'model/pointer.h',
        'model/object-factory.h',
        'model/attribute-helper.h',
        'model/global-value.h',
        'model/traced-callback.h',
        'model/traced-value.h',
        'model/trace-source-accessor.h',
        'model/config.h',
        'model/object-ptr-container.h',
        'model/object-vector.h',
        'model/object-map.h',
        'model/deprecated.h',
        'model/abort.h',
        'model/names.h',
        'model/vector.h',
        'model/default-deleter.h',
        'model/fatal-impl.h',
        'model/system-path.h'
        ]

    if sys.platform == 'win32':
        core.source.extend([
            'model/win32-system-wall-clock-ms.cc',
            ])
    else:
        core.source.extend([
            'model/unix-system-wall-clock-ms.cc',
            ])


    env = bld.env
    if env['INT64X64_USE_DOUBLE']:
        headers.source.extend(['model/int64x64-double.h'])
    elif env['INT64X64_USE_128']:
        headers.source.extend(['model/int64x64-128.h'])
        core.source.extend(['model/int64x64-128.cc'])
    elif env['INT64X64_USE_CAIRO']:
        core.source.extend([
            'model/int64x64-cairo.cc',
            ])
        headers.source.extend([
            'model/int64x64-cairo.h',
            'model/cairo-wideint-private.h',
            ])

    if env['ENABLE_REAL_TIME']:
        headers.source.extend([
                'model/realtime-simulator-impl.h',
                'model/wall-clock-synchronizer.h',
                ])
        core.source.extend([
                'model/realtime-simulator-impl.cc',
                'model/wall-clock-synchronizer.cc',
                ])
        core.use.append('RT')
        core_test.use.append('RT')

    if env['ENABLE_THREADING']:
        core.source.extend([
            'model/unix-fd-reader.cc',
            'model/unix-system-thread.cc',
            'model/unix-system-mutex.cc',
            'model/unix-system-condition.cc',
            ])
        core.use.append('PTHREAD')
        core_test.use.append('PTHREAD')
        headers.source.extend([
                'model/unix-fd-reader.h',
                'model/system-mutex.h',
                'model/system-thread.h',
                'model/system-condition.h',
                ])

    if env['ENABLE_GSL']:
        core.use.extend(['GSL', 'GSLCBLAS', 'M'])
        core_test.use.extend(['GSL', 'GSLCBLAS', 'M'])
        core_test.source.extend(['test/rng-test-suite.cc'])

    if (bld.env['ENABLE_EXAMPLES']):
        bld.add_subdirs('examples')

    pymod = bld.ns3_python_bindings()
    if pymod is not None:
        pymod.source += ['bindings/module_helpers.cc']

=== ns-3.13/src/csma-layout/wscript ===
## -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-

def build(bld):
    obj = bld.create_ns3_module('csma-layout', ['csma', 'network', 'applications', 'netanim', 'point-to-point'])
    obj.source = [
        'model/csma-star-helper.cc',
        ]
    headers = bld.new_task_gen(features=['ns3header'])
    headers.module = 'csma-layout'
    headers.source = [
        'model/csma-star-helper.h',
        ]

    if bld.env['ENABLE_EXAMPLES']:
        bld.add_subdirs('examples')

    #bld.ns3_python_bindings()

=== ns-3.13/src/dsdv/wscript ===
## -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-

def build(bld):
    module = bld.create_ns3_module('dsdv', ['internet', 'wifi', 'mesh', 'applications'])
    module.includes = '.'
    module.source = [
        'model/dsdv-rtable.cc',
        'model/dsdv-packet-queue.cc',
        'model/dsdv-packet.cc',
        'model/dsdv-routing-protocol.cc',
        'helper/dsdv-helper.cc',
        ]

    module_test = bld.create_ns3_module_test_library('dsdv')
    module_test.source = [
        'test/dsdv-testcase.cc',
        ]

    headers = bld.new_task_gen(features=['ns3header'])
    headers.module = 'dsdv'
    headers.source = [
        'model/dsdv-rtable.h',
        'model/dsdv-packet-queue.h',
        'model/dsdv-packet.h',
        'model/dsdv-routing-protocol.h',
        'helper/dsdv-helper.h',
        ]
    if (bld.env['ENABLE_EXAMPLES']):
      bld.add_subdirs('examples')

    bld.ns3_python_bindings()

=== ns-3.13/src/emu/wscript ===
## -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-

import os.path

def configure(conf):
    if conf.env['ENABLE_THREADING']:
        conf.env['ENABLE_EMU'] = conf.check_nonfatal(header_name='netpacket/packet.h',
                                            define_name='HAVE_PACKET_H')
        conf.report_optional_feature("EmuNetDevice", "Emulated Net Device",
                                     conf.env['ENABLE_EMU'],
                                     "<netpacket/packet.h> include not detected")
    else:
        conf.report_optional_feature("EmuNetDevice", "Emulated Net Device",
                                     False,
                                     "needs threading support which is not available")

    if conf.env['ENABLE_EMU']:
        #blddir = conf.bldnode.abspath()
        blddir = os.path.abspath(os.path.join(conf.bldnode.abspath(), conf.variant))
        emucreatordir = os.path.abspath(os.path.join(blddir, "src/emu"))
        conf.env.append_value('NS3_EXECUTABLE_PATH', emucreatordir)
    else:
        # Add this module to the list of modules that won't be built
        # if they are enabled.
        conf.env['MODULES_NOT_BUILT'].append('emu')

def build(bld):
    # Don't do anything for this module if emu's not enabled.
    if not bld.env['ENABLE_EMU']:
        return

    module = bld.create_ns3_module('emu', ['network'])
    module.source = [
            'model/emu-net-device.cc',
            'model/emu-encode-decode.cc',
            'helper/emu-helper.cc',
        ]

    headers = bld.new_task_gen(features=['ns3header'])
    headers.module = 'emu'
    headers.source = [
            'model/emu-net-device.h',
            'helper/emu-helper.h',
        ]

    obj = bld.create_suid_program('emu-sock-creator')
    obj.source = [
        'model/emu-sock-creator.cc',
        'model/emu-encode-decode.cc',
        ]

    if bld.env['ENABLE_EXAMPLES']:
        bld.add_subdirs('examples')

    bld.ns3_python_bindings()

=== ns-3.13/src/internet/wscript ===
## -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-
import os
import sys

import Options
import Logs
import Utils
import Task

# Required NSC version
NSC_RELEASE_NAME = "nsc-0.5.2"


def options(opt):
    opt.add_option('--with-nsc',
                   help=('Use Network Simulation Cradle, given by the indicated path,'
                         ' to allow the use of real-world network stacks'),
                   default='', dest='with_nsc')


def configure(conf):
    conf.env['ENABLE_NSC'] = False

    # checks for flex and bison, which is needed to build NSCs globaliser
    # TODO: how to move these checks into the allinone scripts?
    #def check_nsc_buildutils():
    #    import flex
    #    import bison
    #    conf.check_tool('flex bison')
    #    conf.check(lib='fl', mandatory=True)

    # Check for the location of NSC
    if Options.options.with_nsc:
        if os.path.isdir(Options.options.with_nsc):
            conf.msg("Checking for NSC location", ("%s (given)" % Options.options.with_nsc))
            conf.env['WITH_NSC'] = os.path.abspath(Options.options.with_nsc)
    else:
        # ns-3-dev uses ../nsc, while ns-3 releases use ../NSC_RELEASE_NAME
        nsc_dir = os.path.join('..', "nsc")
        nsc_release_dir = os.path.join('..', NSC_RELEASE_NAME)
        if os.path.isdir(nsc_dir):
            conf.msg("Checking for NSC location",("%s (guessed)" % nsc_dir))
            conf.env['WITH_NSC'] = os.path.abspath(nsc_dir)
        elif os.path.isdir(nsc_release_dir):
            conf.msg("Checking for NSC location", ("%s (guessed)" % nsc_release_dir))
            conf.env['WITH_NSC'] = os.path.abspath(nsc_release_dir)
        del nsc_dir
        del nsc_release_dir

    if not conf.env['WITH_NSC']:
        conf.msg("Checking for NSC location", False)
        conf.report_optional_feature("nsc", "Network Simulation Cradle", False,
                                     "NSC not found (see option --with-nsc)")
	return
    
    if Options.platform in ['linux', 'freebsd']:
        arch = os.uname()[4]
    else:
        arch = None
    ok = False
    if arch in ('amd64', 'x86_64', 'i686', 'i586', 'i486', 'i386'):
        conf.env['NSC_ENABLED'] = True
        conf.env.append_value('CXXDEFINES', 'NETWORK_SIMULATION_CRADLE')
        conf.check_nonfatal(mandatory=True, lib='dl', define_name='HAVE_DL', uselib_store='DL')
        ok = True
    conf.msg('Checking for NSC supported architecture ' + (arch or ''), ok)
    
    if not ok:
        conf.env['NSC_ENABLED'] = False
        conf.report_optional_feature("nsc", "Network Simulation Cradle", False,
                                     "architecture %r not supported" % arch)
        return

    lib_to_check = 'liblinux2.6.26.so'

    found = False
    for path in ['.', 'lib', 'lib64', 'linux-2.6.26']:
        if os.path.exists(os.path.join(conf.env['WITH_NSC'], path, lib_to_check)):
            # append the NSC kernel dir to the module path so that this dir
            # will end up in the LD_LIBRARY_PATH, thus allowing the NSC NS-3
            # module to find the necessary NSC shared libraries.
            found = True
            conf.env.append_value('NS3_MODULE_PATH',
                                  os.path.abspath(os.path.join(conf.env['WITH_NSC'], path)))
    if not found:
        conf.env['NSC_ENABLED'] = False
        conf.report_optional_feature("nsc", "Network Simulation Cradle", False,
                                     "NSC library %s is missing: NSC has not been built?" % lib_to_check)
    else:
        conf.report_optional_feature("nsc", "Network Simulation Cradle", True, "")


def build(bld):
    # bridge and mpi dependencies are due to global routing
    obj = bld.create_ns3_module('internet', ['bridge', 'mpi', 'network', 'core'])
    obj.source = [
        'model/ipv4-l4-protocol.cc',
        'model/udp-header.cc',
        'model/tcp-header.cc',
        'model/ipv4-interface.cc',
        'model/ipv4-l3-protocol.cc',
        'model/ipv4-end-point.cc',
        'model/udp-l4-protocol.cc',
        'model/tcp-l4-protocol.cc',
        'model/arp-header.cc',
        'model/arp-cache.cc',
        'model/arp-l3-protocol.cc',
        'model/udp-socket-impl.cc',
        'model/ipv4-end-point-demux.cc',
        'model/udp-socket-factory-impl.cc',
        'model/tcp-socket-factory-impl.cc',
        'model/pending-data.cc',
        'model/rtt-estimator.cc',
        'model/ipv4-raw-socket-factory-impl.cc',
        'model/ipv4-raw-socket-impl.cc',
        'model/icmpv4.cc',
        'model/icmpv4-l4-protocol.cc',
        'model/loopback-net-device.cc',
        'model/ndisc-cache.cc',
        'model/ipv6-interface.cc',
        'model/icmpv6-header.cc',
        'model/ipv6-l3-protocol.cc',
        'model/ipv6-end-point.cc',
        'model/ipv6-end-point-demux.cc',
        'model/ipv6-l4-protocol.cc',
        'model/ipv6-raw-socket-factory-impl.cc',
        'model/ipv6-raw-socket-impl.cc',
        'model/ipv6-autoconfigured-prefix.cc',
        'model/ipv6-extension.cc',
        'model/ipv6-extension-header.cc',
        'model/ipv6-extension-demux.cc',
        'model/ipv6-option.cc',
        'model/ipv6-option-header.cc',
        'model/ipv6-option-demux.cc',
        'model/icmpv6-l4-protocol.cc',
        'model/tcp-socket-base.cc',
        'model/tcp-rfc793.cc',
        'model/tcp-tahoe.cc',
        'model/tcp-reno.cc',
        'model/tcp-newreno.cc',
        'model/tcp-rx-buffer.cc',
        'model/tcp-tx-buffer.cc',
        'model/ipv4-packet-info-tag.cc',
        'model/ipv6-packet-info-tag.cc',
        'model/ipv4-interface-address.cc',
        'model/ipv4-address-generator.cc',
        'model/ipv4-header.cc',
        'model/ipv4-route.cc',
        'model/ipv4-routing-protocol.cc',
        'model/udp-socket.cc',
        'model/udp-socket-factory.cc',
        'model/tcp-socket.cc',
        'model/tcp-socket-factory.cc',
        'model/ipv4.cc',
        'model/ipv4-raw-socket-factory.cc',
        'model/ipv6-header.cc',
        'model/ipv6-interface-address.cc',
        'model/ipv6-route.cc',
        'model/ipv6.cc',
        'model/ipv6-raw-socket-factory.cc',
        'model/ipv6-routing-protocol.cc',
        'model/ipv4-list-routing.cc',
        'model/ipv6-list-routing.cc',
        'helper/ipv4-list-routing-helper.cc',
        'helper/ipv6-list-routing-helper.cc',
        'model/ipv4-static-routing.cc',
        'model/ipv4-routing-table-entry.cc',
        'model/ipv6-static-routing.cc',
        'model/ipv6-routing-table-entry.cc',
        'helper/ipv4-static-routing-helper.cc',
        'helper/ipv6-static-routing-helper.cc',
        'model/global-router-interface.cc',
        'model/global-route-manager.cc',
        'model/global-route-manager-impl.cc',
        'model/candidate-queue.cc',
        'model/ipv4-global-routing.cc',
        'helper/ipv4-global-routing-helper.cc',
        'helper/internet-stack-helper.cc',
        'helper/internet-trace-helper.cc',
        'helper/ipv4-address-helper.cc',
        'helper/ipv4-interface-container.cc',
        'helper/ipv4-routing-helper.cc',
        'helper/ipv6-address-helper.cc',
        'helper/ipv6-interface-container.cc',
        'helper/ipv6-routing-helper.cc',
        'model/ipv6-address-generator.cc',
        ]

    internet_test = bld.create_ns3_module_test_library('internet')
    internet_test.source = [
        'test/global-route-manager-impl-test-suite.cc',
        'test/ipv4-address-generator-test-suite.cc',
        'test/ipv4-address-helper-test-suite.cc',
        'test/ipv4-list-routing-test-suite.cc',
        'test/ipv4-packet-info-tag-test-suite.cc',
        'test/ipv4-raw-test.cc',
        'test/ipv4-header-test.cc',
        'test/ipv4-fragmentation-test.cc',
        'test/error-channel.cc',
        'test/error-net-device.cc',
        'test/ipv4-test.cc',
        'test/ipv6-extension-header-test-suite.cc',
        'test/ipv6-list-routing-test-suite.cc',
        'test/ipv6-packet-info-tag-test-suite.cc',
        'test/ipv6-test.cc',
        'test/tcp-test.cc',
        'test/udp-test.cc',
        'test/ipv6-address-generator-test-suite.cc',
        ]

    headers = bld.new_task_gen(features=['ns3header'])
    headers.module = 'internet'
    headers.source = [
        'model/udp-header.h',
        'model/tcp-header.h',
        'model/icmpv4.h',
        'model/icmpv6-header.h',
        # used by routing
        'model/ipv4-interface.h',
        'model/ipv4-l3-protocol.h',
        'model/ipv6-l3-protocol.h',
        'model/ipv4-end-point.h',
        'model/ipv6-extension-header.h',
        'model/ipv6-option-header.h',
        'model/arp-l3-protocol.h',
        'model/udp-l4-protocol.h',
        'model/tcp-l4-protocol.h',
        'model/icmpv4-l4-protocol.h',
        'model/ipv4-l4-protocol.h',
        'model/arp-header.h',
        'model/arp-cache.h',
        'model/icmpv6-l4-protocol.h',
        'model/ipv6-l4-protocol.h',
        'model/ipv6-interface.h',
        'model/ndisc-cache.h',
        'model/loopback-net-device.h',
        'model/ipv4-packet-info-tag.h',
        'model/ipv6-packet-info-tag.h',
        'model/ipv4-interface-address.h',
        'model/ipv4-address-generator.h',
        'model/ipv4-header.h',
        'model/ipv4-route.h',
        'model/ipv4-routing-protocol.h',
        'model/udp-socket.h',
        'model/udp-socket-factory.h',
        'model/tcp-socket.h',
        'model/tcp-socket-factory.h',
        'model/ipv4.h',
        'model/ipv4-raw-socket-factory.h',
        'model/ipv4-raw-socket-impl.h',
        'model/ipv6-header.h',
        'model/ipv6-interface-address.h',
        'model/ipv6-route.h',
        'model/ipv6.h',
        'model/ipv6-raw-socket-factory.h',
        'model/ipv6-routing-protocol.h',
        'model/ipv4-list-routing.h',
        'model/ipv6-list-routing.h',
        'helper/ipv4-list-routing-helper.h',
        'helper/ipv6-list-routing-helper.h',
        'model/ipv4-static-routing.h',
        'model/ipv4-routing-table-entry.h',
        'model/ipv6-static-routing.h',
        'model/ipv6-routing-table-entry.h',
        'helper/ipv4-static-routing-helper.h',
        'helper/ipv6-static-routing-helper.h',
        'model/global-router-interface.h',
        'model/global-route-manager.h',
        'model/global-route-manager-impl.h',
        'model/candidate-queue.h',
        'model/ipv4-global-routing.h',
        'helper/ipv4-global-routing-helper.h',
        'helper/internet-stack-helper.h',
        'helper/internet-trace-helper.h',
        'helper/ipv4-address-helper.h',
        'helper/ipv4-interface-container.h',
        'helper/ipv4-routing-helper.h',
        'helper/ipv6-address-helper.h',
        'helper/ipv6-interface-container.h',
        'helper/ipv6-routing-helper.h',
        'model/ipv6-address-generator.h',
       ]

    if bld.env['NSC_ENABLED']:
        obj.source.append ('model/nsc-tcp-socket-impl.cc')
        obj.source.append ('model/nsc-tcp-l4-protocol.cc')
        obj.source.append ('model/nsc-tcp-socket-factory-impl.cc')
        obj.source.append ('model/nsc-sysctl.cc')
        headers.source.append('model/nsc-tcp-l4-protocol.h')
        obj.use.append('DL')
        internet_test.use.append('DL')

    if (bld.env['ENABLE_EXAMPLES']):
        bld.add_subdirs('examples')

    bld.ns3_python_bindings()

=== ns-3.13/src/lte/wscript ===
## -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-

def build(bld):

    module = bld.create_ns3_module('lte', ['internet', 'spectrum', 'wimax'])
    module.source = [
        'model/lte-spectrum-phy.cc',
        'model/lte-spectrum-signal-parameters.cc',
        'model/enb-lte-spectrum-phy.cc',
        'model/ue-lte-spectrum-phy.cc',
        'model/lte-phy.cc',
        'model/enb-phy.cc',
        'model/ue-phy.cc',
        'model/lte-spectrum-value-helper.cc',
        'model/lte-propagation-loss-model.cc',
        'model/discrete-time-loss-model.cc',
        'model/penetration-loss-model.cc',
        'model/shadowing-loss-model.cc',
        'model/path-loss-model.cc',
        'model/jakes-fading-loss-model.cc',
        'model/channel-realization.cc',
        'model/amc-module.cc',
        'model/lte-mac-queue.cc',
        'model/rrc-entity.cc',
        'model/rlc-entity.cc',
        'model/mac-entity.cc',
        'model/lte-mac-header.cc',
        'model/enb-mac-entity.cc',
        'model/ue-mac-entity.cc',
        'model/radio-bearer-instance.cc',
        'model/bearer-qos-parameters.cc',
        'model/lte-net-device.cc',
        'model/ue-record.cc',
        'model/ue-manager.cc',
        'model/enb-net-device.cc',
        'model/ue-net-device.cc',
        'model/packet-scheduler.cc',
        'model/simple-packet-scheduler.cc',
        'model/ideal-control-messages.cc',
        'helper/lte-helper.cc',
        ]

    module_test = bld.create_ns3_module_test_library('lte')
    module_test.source = [
        'test/lte-phy-test.cc',
        'test/lte-device-test.cc',
        'test/lte-bearer-test.cc',
        'test/lte-propagation-loss-model-test.cc',
        ]
    
    headers = bld.new_task_gen(features=['ns3header'])
    headers.module = 'lte'
    headers.source = [
        'model/lte-spectrum-phy.h',
        'model/lte-spectrum-signal-parameters.h',
        'model/enb-lte-spectrum-phy.h',
        'model/ue-lte-spectrum-phy.h',
        'model/lte-phy.h',
        'model/enb-phy.h',
        'model/ue-phy.h',
        'model/lte-spectrum-value-helper.h',
        'model/lte-propagation-loss-model.h',
        'model/discrete-time-loss-model.h',
        'model/penetration-loss-model.h',
        'model/shadowing-loss-model.h',
        'model/path-loss-model.h',
        'model/jakes-fading-loss-model.h',
        'model/channel-realization.h',
        'model/amc-module.h',
        'model/lte-mac-queue.h',
        'model/rrc-entity.h',
        'model/rlc-entity.h',
        'model/mac-entity.h',
        'model/lte-mac-header.h',
        'model/enb-mac-entity.h',
        'model/ue-mac-entity.h',
        'model/radio-bearer-instance.h',
        'model/bearer-qos-parameters.h',
        'model/lte-net-device.h',
        'model/ue-record.h',
        'model/ue-manager.h',
        'model/enb-net-device.h',
        'model/ue-net-device.h',
        'model/packet-scheduler.h',
        'model/simple-packet-scheduler.h',
        'model/ideal-control-messages.h',
        'helper/lte-helper.h',
        ]

    if (bld.env['ENABLE_EXAMPLES']):
      bld.add_subdirs('examples')

    bld.ns3_python_bindings()

=== ns-3.13/src/mesh/wscript ===
## -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-

def build(bld):
    obj = bld.create_ns3_module('mesh', ['internet', 'wifi', 'bridge', 'applications'])

    obj.source = [
        'model/mesh-information-element-vector.cc',
        'model/mesh-point-device.cc',
        'model/mesh-l2-routing-protocol.cc',
        'model/mesh-wifi-beacon.cc',
        'model/mesh-wifi-interface-mac.cc',
        'model/dot11s/ie-dot11s-beacon-timing.cc',
        'model/dot11s/ie-dot11s-configuration.cc',
        'model/dot11s/ie-dot11s-id.cc',
        'model/dot11s/ie-dot11s-peer-management.cc',
        'model/dot11s/ie-dot11s-preq.cc',
        'model/dot11s/ie-dot11s-prep.cc',
        'model/dot11s/ie-dot11s-perr.cc',
        'model/dot11s/ie-dot11s-rann.cc',
        'model/dot11s/ie-dot11s-peering-protocol.cc',
        'model/dot11s/ie-dot11s-metric-report.cc',
        'model/dot11s/dot11s-mac-header.cc',
        'model/dot11s/peer-link-frame.cc',
        'model/dot11s/peer-link.cc',
        'model/dot11s/peer-management-protocol-mac.cc',
        'model/dot11s/peer-management-protocol.cc',
        'model/dot11s/hwmp-tag.cc',
        'model/dot11s/hwmp-rtable.cc',
        'model/dot11s/hwmp-protocol-mac.cc',
        'model/dot11s/hwmp-protocol.cc',
        'model/dot11s/airtime-metric.cc',
        'model/flame/flame-header.cc',
        'model/flame/flame-rtable.cc',
        'model/flame/flame-protocol-mac.cc',
        'model/flame/flame-protocol.cc',
        'helper/mesh-helper.cc',
        'helper/dot11s/dot11s-installer.cc',
        'helper/flame/flame-installer.cc',
        ]

    obj_test = bld.create_ns3_module_test_library('mesh')
    obj_test.source = [
        'test/mesh-information-element-vector-test-suite.cc',
        'test/dot11s/dot11s-test-suite.cc',
        'test/dot11s/pmp-regression.cc',
        'test/dot11s/hwmp-reactive-regression.cc',
        'test/dot11s/hwmp-proactive-regression.cc',
        'test/dot11s/hwmp-simplest-regression.cc',
        'test/dot11s/hwmp-target-flags-regression.cc',
        'test/dot11s/regression.cc',
        'test/flame/flame-test-suite.cc',
        'test/flame/flame-regression.cc',
        'test/flame/regression.cc',
        ]

    headers = bld.new_task_gen(features=['ns3header'])
    headers.module = 'mesh'
    headers.source = [
        'model/mesh-information-element.h',
        'model/mesh-information-element-vector.h',
        'model/mesh-point-device.h',
        'model/mesh-l2-routing-protocol.h',
        'model/mesh-wifi-beacon.h',
        'model/mesh-wifi-interface-mac.h',
        'model/mesh-wifi-interface-mac-plugin.h',
        'model/dot11s/hwmp-protocol.h',
        'model/dot11s/peer-management-protocol.h',
        'model/dot11s/ie-dot11s-beacon-timing.h',
        'model/dot11s/ie-dot11s-configuration.h',
        'model/dot11s/ie-dot11s-peer-management.h',
        'model/dot11s/ie-dot11s-id.h',
        'model/dot11s/peer-link.h',
        'model/dot11s/dot11s-mac-header.h',
        'model/dot11s/peer-link-frame.h',
        'model/dot11s/hwmp-rtable.h',
        'model/dot11s/ie-dot11s-peering-protocol.h',
        'model/dot11s/ie-dot11s-metric-report.h',
        'model/dot11s/ie-dot11s-perr.h',
        'model/dot11s/ie-dot11s-prep.h',
        'model/dot11s/ie-dot11s-preq.h',
        'model/dot11s/ie-dot11s-rann.h',
        'model/flame/flame-protocol.h',
        'model/flame/flame-header.h',
        'model/flame/flame-rtable.h',
        'model/flame/flame-protocol-mac.h',
        'helper/mesh-helper.h',
        'helper/mesh-stack-installer.h',
        'helper/dot11s/dot11s-installer.h',
        'helper/flame/flame-installer.h',
        ]

    if bld.env['ENABLE_EXAMPLES']:
        bld.add_subdirs('examples')

    bld.ns3_python_bindings()

=== debian/changelog ===
ns3 (3.13-1) unstable; urgency=low

  * New upstream release.
  * Linked with --as-needed option.

 -- YunQiang Su <wzssyqa@gmail.com>  Sat, 24 Dec 2011 18:15:24 +0800

ns3 (3.12.1+dfsg1-5) unstable; urgency=low

  * doesn't depend on procps, read /proc/meminfo directly.
  * build for python2.7 as defaut python.
  * build depend on only default python instead of python-all.
  * bump compat to 9 to use dpkg-buildflags to export
    CFLAGS etc by default like before.

 -- YunQiang Su <wzssyqa@gmail.com>  Sun, 02 Oct 2011 04:52:16 +0000

ns3 (3.12.1+dfsg1-4) unstable; urgency=low

  [debian/rules]:
    fix the call of awk: $ -> $$
  [debian/control]:
  	add build depends of procps to get the memory.

 -- YunQiang Su <wzssyqa@gmail.com>  Thu, 22 Sep 2011 14:13:34 +0800

=== debian/control ===
Source: ns3
Section: net
Priority: optional
Standards-Version: 3.9.2
Maintainer: Debian Network Simulators Team <pkg-netsim-devel@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: YunQiang Su <wzssyqa@gmail.com>
Build-Depends: debhelper (>= 8.9.0), quilt (>= 0.46-7~), pkg-config,
 python-dev, libxml2-dev, libgsl0-dev, libsqlite3-dev,
 flex, bison, libboost-signals-dev, libboost-filesystem-dev, 
 libopenmpi-dev [alpha amd64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc sparc]
Build-Depends-Indep: dia, doxygen, python-sphinx, texlive-font-utils,
 ghostscript, texlive-latex-extra, texlive-latex-base, texlive-latex-recommended, imagemagick
Build-Conflicts: libmpich2-dev
Vcs-git: git://anonscm.debian.org/pkg-netsim/ns3.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-netsim/ns3.git
Homepage: http://www.nsnam.org/

Package: ns3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: discrete-event network simulator for Internet systems
 ns-3 is a discrete-event network simulator for Internet systems, 
 targeted primarily for research and educational use. 
 ns-3 is free software, licensed under the GNU GPLv2 license, 
 and is publicly available for research, development, and use.
 ns-3 is intended as an eventual replacement for the popular
 ns-2 simulator. The project acronym “nsnam” derives 
 historically from the concatenation of ns (network simulator) 
 and NAM (network animator). 
 .
 This package contains several utilities. The files for development
 are in libns3-3, libns3-dev and python-ns3.

Package: ns3-doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
Section: doc
Description: documentation for ns3
 ns-3 is a discrete-event network simulator for Internet systems, 
 targeted primarily for research and educational use. 
 ns-3 is free software, licensed under the GNU GPLv2 license, 
 and is publicly available for research, development, and use. 
 ns-3 is intended as an eventual replacement for the popular
 ns-2 simulator. The project acronym “nsnam” derives 
 historically from the concatenation of ns (network simulator) 
 and NAM (network animator). 
 .
 This package contains manual, modules, tutorial and doxygen.

Package: libns3-3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: shared libraries of ns-3
 ns-3 is a discrete-event network simulator for Internet systems, 
 targeted primarily for research and educational use. 
 ns-3 is free software, licensed under the GNU GPLv2 license, 
 and is publicly available for research, development, and use. 
 ns-3 is intended as an eventual replacement for the popular
 ns-2 simulator. The project acronym “nsnam” derives 
 historically from the concatenation of ns (network simulator) 
 and NAM (network animator). 
 .
 This package contains shared libraries.

Package: libns3-3-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, libns3-3
Description: shared libraries of ns-3 (debug extension)
 ns-3 is a discrete-event network simulator for Internet systems, 
 targeted primarily for research and educational use. 
 ns-3 is free software, licensed under the GNU GPLv2 license, 
 and is publicly available for research, development, and use. 
 ns-3 is intended as an eventual replacement for the popular
 ns-2 simulator. The project acronym “nsnam” derives 
 historically from the concatenation of ns (network simulator) 
 and NAM (network animator). 
 .
 This package contains shared libraries.
 .
 This package contains the debugging symbols.

Package: libns3-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: libdevel
Description: Static and header files of ns-3
 ns-3 is a discrete-event network simulator for Internet systems, 
 targeted primarily for research and educational use. 
 ns-3 is free software, licensed under the GNU GPLv2 license, 
 and is publicly available for research, development, and use. 
 ns-3 is intended as an eventual replacement for the popular
 ns-2 simulator. The project acronym “nsnam” derives 
 historically from the concatenation of ns (network simulator) 
 and NAM (network animator). 
 .
 This package contains static libraries, header files.

Package: python-ns3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Section: python
Suggests: python-pygraphviz, python-kiwi, python-pygoocanvas, tcpdump
Description: Python binding of ns3
 ns-3 is a discrete-event network simulator for Internet systems, 
 targeted primarily for research and educational use. 
 ns-3 is free software, licensed under the GNU GPLv2 license, 
 and is publicly available for research, development, and use. 
 ns-3 is intended as an eventual replacement for the popular
 ns-2 simulator. The project acronym “nsnam” derives 
 historically from the concatenation of ns (network simulator) 
 and NAM (network animator). 
 .
 This package contains Python binding of ns3.

Package: python-ns3-dbg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-ns3
Section: debug
Priority: extra
Suggests: python-pygraphviz, python-kiwi, python-pygoocanvas, tcpdump
Description: Python binding of ns3 (debug extension)
 ns-3 is a discrete-event network simulator for Internet systems, 
 targeted primarily for research and educational use. 
 ns-3 is free software, licensed under the GNU GPLv2 license, 
 and is publicly available for research, development, and use. 
 ns-3 is intended as an eventual replacement for the popular
 ns-2 simulator. The project acronym “nsnam” derives 
 historically from the concatenation of ns (network simulator) 
 and NAM (network animator). 
 .
 This package contains Python binding of ns3.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
LDFLAGS+=-Wl,--as-needed

NS3VER=3.13
NS3_DIR=ns-$(NS3VER)
PYBINDGENV_DIR=pybindgen-0.15.0.795
REFTRACE_DIR=ns-$(NS3VER)-ref-traces
NSC_DIR=nsc-0.5.2

RELEASE=debug

###check system memory, if it is less than 3GiB, use "-j1" when build
MEMORY=$(shell awk '/MemTotal:/{print $$2}' /proc/meminfo)
BUILD_OPTION=$(shell if [ $(MEMORY) -lt 3090252 ]; then echo "-j1"; fi)

%:
	dh $@ --with python2


override_dh_auto_configure:
	cp ./debian/upstream-back/build.config ./.config

override_dh_auto_build:
	###############make document
	-make html man -C ./$(NS3_DIR)/doc/manual/
	-make html man -C ./$(NS3_DIR)/doc/models/
	-make html man -C ./$(NS3_DIR)/doc/tutorial/
	
	######	build and install static libraries
	./build.py --build-options="$(BUILD_OPTION)" -- --prefix=/usr --enable-static --enable-mpi
	cd ./$(NS3_DIR);./waf install --destdir=../debian/tmp
	
	####### build and install shared libraries, python bindings for default python.
	./build.py --enable-tests --build-options="$(BUILD_OPTION)" -- --prefix=/usr --enable-mpi
	cd ./$(NS3_DIR);./waf install --destdir=../debian/tmp
	
	######## build doxygen
	-cd $(NS3_DIR); ./waf --doxygen
	

override_dh_auto_test:
	-cd ./$(NS3_DIR); ./test.py -v

override_dh_prep:
	#I install files here when build.
	#The upstream cannot work well for us.
	#I will remove this dir when dh_clean, surely.
	dh_prep -Xdebian/tmp
	
override_dh_auto_install:
	# they are installed in auto_build

override_dh_install:
	-rm ns-3.*/doc/*/build/*/_static/jquery.js
	-rm ns-3.*/doc/*/build/*/_static/underscore.js
	dh_install

override_dh_python2:
	#### upstream now can only build for the default version of python.
	dh_python2 --no-guessing-versions
	
override_dh_installchangelogs:
	dh_installchangelogs ./$(NS3_DIR)/CHANGES.html

override_dh_strip:
	dh_strip -plibns3-3 --dbg-package=libns3-3-dbg 
	dh_strip -ppython-ns3 --dbg-package=python-ns3-dbg
	dh_strip

override_dh_auto_clean:
	-sh ./debian/clean-tree.sh
	dh_auto_clean
